<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE properties SYSTEM "http://java.sun.com/dtd/properties.dtd">
<properties version="1.0">
    
	<!-- ========================================================================
									서버 도메인 - context path이전까지 
			https://beacon.pnuh.or.kr/index.page == https://beacon.pnuh.or.kr
			https://beacon.pnuh.or.kr/mcare_test/index.page == http://beacon.pnuh.or.kr
			http://beacon.pnuh.or.kr:8080/index.page == http://beacon.pnuh.or.kr:8080
	 ======================================================================== --> 
	
	<!-- <entry key="server.service.addr">http://192.168.0.2:8080</entry> -->	
	<entry key="server.service.addr">http://localhost:8080</entry>

	
	<!-- ========================================================================
									캐쉬적용여부 
	 ========================================================================-->	
	<!-- <entry key="cache.reload.urls">http://192.168.0.2:8080</entry> -->
	<entry key="cache.reload.urls">http://localhost:8080</entry>	
	<entry key="cache.encryption.key">707c6b78b5354699</entry>

	 
	 
	<!-- ========================================================================
									사용자 로그인 및 다국어 
	 ========================================================================-->	    
	<!-- 중복로그인을 위한 세션파일 관리 -->
	<entry key="session.root.dir">../mplus_session</entry>
	<entry key="session.timeout.second">600</entry>
	<entry key="session.duplicate.check">false</entry>
	<!-- 3분 : 180초, 10분 : 600초, 100분 : 6000초  -->
	
	<!-- 자동로그인 -->
	<entry key="rememberme.cookie.maxAge">31536000</entry>
	<entry key="rememberme.encryption.key">707c6b78b5354699</entry>
	<!-- 31,536,000 sec = 525,600 min = 8,760 hr = 365 day = 1 year -->
	
	<!-- 쿠키 경로까지 포함할 것인지 아니면 그냥 루트로 처리할 것인지 여부 -->
	<!-- 경대병원에 본원과 분원이 있는데 context로 구분하는데 context간 쿠키 공유를 위해서는 루트로 구워야 해서 추가된 환경설정임 -->
	<entry key="cookie.include.path">false</entry>
	
	<!-- 다국어 -->
	<!-- 언어코드_국가코드 형태로 구성됨. 줄여서 사용할때 언어코드만 사용함. -->
	<entry key="i18n.default">ko</entry>
	<entry key="i18n.supported">ko,en,zh</entry>
		
	
	<!-- ========================================================================
									본인인증 및 SMS전송 관련
	 ========================================================================-->	
	<!-- 본인인증 (휴대폰, nice) -->
	<entry key="auth.phone.site.code">DTBM1001</entry>
	<entry key="auth.phone.site.password">012001</entry>
	
	<!-- 본인인증 (i-pin) -->
	<entry key="auth.ipin.site.code">WZU001</entry>
	<entry key="auth.ipin.site.password">006002</entry>	
	
	<!-- SMS CallBack 번호 -->
	<entry key="sms.callback.number">0532005114</entry>

	
	<!-- ========================================================================
									데이터소스 관련 
	 ========================================================================-->
	
	<!-- M-Care Plus 용 -->
	<entry key="mplus.db.driverClassName">oracle.jdbc.driver.OracleDriver</entry>
	<entry key="mplus.db.url">jdbc:oracle:thin:@//172.16.0.109:1521/MCARE</entry>
	<entry key="mplus.db.username">mplus</entry>
	<entry key="mplus.db.password">mplus</entry>
	
	<!-- 중간테이블 (간호호출, push 등) -->
	<entry key="mplus.ext.db.driverClassName">oracle.jdbc.driver.OracleDriver</entry>
	<entry key="mplus.ext.db.url">jdbc:oracle:thin:@//sns.idatabank.com:1521/THING</entry>
	<entry key="mplus.ext.db.username">mplus</entry>
	<entry key="mplus.ext.db.password">mplus</entry>	
	
	<!-- SMS 연계용
	<entry key="mcs.sms.db.driverClassName">oracle.jdbc.driver.OracleDriver</entry>
	<entry key="mcs.sms.db.url">jdbc:oracle:thin:@//114.206.46.56:1522/DMZDB</entry>
	<entry key="mcs.sms.db.username">smtapp</entry>
	<entry key="mcs.sms.db.password">smtapp##1#</entry>	
	-->
	
	<!-- 예약 저장용
	<entry key="mplus.ext.reservation.db.driverClassName">oracle.jdbc.driver.OracleDriver</entry>
	<entry key="mplus.ext.reservation.db.url">jdbc:oracle:thin:@//114.206.46.56:1522/DMZDB</entry>
	<entry key="mplus.ext.reservation.db.username">smtapp</entry>
	<entry key="mplus.ext.reservation.db.password">smtapp##1#</entry>	
	-->

	<!-- ========================================================================
								api 실행 관련 
	 ========================================================================--> 	
	<!-- http ConnectTimeout -->
	<entry key="api.http.connect.timeout.ms">3000</entry>
	<!-- http ReadTimeout. 부산대병원 기간계에서 응답이 없는 경우가 너무 빈번하여 추가. 무한뺑뺑이방지용임.  -->
	<entry key="api.http.read.timeout.ms">10000</entry>
	
		
	<!-- ========================================================================
								로그 및 통계, 기타 배치 작업용 
	 ========================================================================-->	
		 
	<!-- 통계작업을 수행할 것인지 여부 -->
	<entry key="agg.batch.work">false</entry>
	<!-- 통계작업을 수행할 시간 (cron 표현식 : minute(0-59) hour(0-23) day(1-31) month(1-12) dayOfWeek(0-7)) -->
	<entry key="agg.batch.cron">0 45 22 * * * </entry>
	<!-- access 로그 남기기 작업하는 스레드 갯수 -->
	<entry key="log.worker.count">0</entry>
	<!-- 도우미 메시지 삭제. 어차피 1일치 메시지만 보여주기 때문에 삭제함. 메시지 원본은 어차피 따로 있음  -->
	<entry key="helper.valid.date">5</entry>
	
	
	<!-- 연령별/지역별 통계작업을 수행할것인지 여부. 경대같이 사용자를 공통으로 사용하는 경우, context 한군데서만 돌아야하기 때문임 -->
	<!-- 반면에 병원별로 구분되는 개별 접근에 대한 통계는 context별로 모두 돌아야 함 -->
	<!-- 그래서 연령별 통계는 따로 분리하였음 -->
	<entry key="agg.user.info.work">false</entry>
	<!-- 통계작업을 수행할 시간 (cron 표현식 : minute(0-59) hour(0-23) day(1-31) month(1-12) dayOfWeek(0-7)) -->
	<entry key="agg.user.info.batch.cron">0 20 00 * * * </entry>	

	<!-- 탈퇴배치를 수행할 것인지 여부 -->
	<entry key="withdrawal.batch.work">false</entry>		
	<!-- 탈퇴배치 처리할 시간 (cron 표현식 : minute(0-59) hour(0-23) day(1-31) month(1-12) dayOfWeek(0-7)) -->
	<entry key="withdrawal.batch.cron">0 0 08 * * *</entry> 	
	<!-- 얼마나 로그인 안하면 탈퇴처리하는지 -->
	<entry key="withdrawal.deadline.date">366</entry>
	<!-- 탈퇴 언제 알려줄 것인지. 30, 10, 1이면 30일전, 10일전, 1일전 알림 -->
	<entry key="withdrawal.notify.date">30, 10, 1</entry>	
	<!-- 사용자에게 보내줄 안내문 페이지 (SMS 40글자) -->
	<entry key="withdrawal.notify.sms.format">DBS병원입니다. %s님은 %s일간 앱을 이용하지 않으셔서 탈퇴처리예정입니다.</entry>	
	<!-- 사용자에게 보내줄 안내문 페이지 (Push용) -->
	<entry key="withdrawal.notify.push.format">DBS병원입니다. %s님은 %s일간 앱을 이용하지 않으셔서 탈퇴처리예정이니 원하지 않으시면 로그인 해주세요.</entry>	
		
	<!-- ========================================================================
									사용자 비밀번호 관련 
	 ========================================================================-->		
	<!-- 비밀번호 변경 유도 날짜. 1이면 날짜가 바뀌면 변경유도함 -->
	<entry key="password.valid.date">90</entry>
	<!-- 로그인 실패 시 계정 차단 횟수. 1이면, 한번만 비번이 틀리면 계정 차단함 -->
	<entry key="password.try.count">5</entry>
	 	 
	<!-- ========================================================================
									동의서 이미지 경로
	 ========================================================================-->	
	<!-- 동의서 이미지 조회용 -->
	<entry key="consent.image.path">http://192.168.100.124:8070/DataTempImage/</entry>
	 
	<!-- ========================================================================
									기타 
	 ========================================================================--> 
	<!-- 해쉬 -->
	<entry key="hash.salt">DBS_MP_SMARTAPP</entry>
	<!-- AES 암호화에 사용되는 초기화 벡터 (IV) -->
	<entry key="aes.iv">707c6b78b5354699</entry>		
	<!-- 로그인 안한 사용자에게 전체 메뉴를 보여줄 것인지 여부 -->
	<entry key="all.menu.to.not.login.user">true</entry>	
	<!-- javascript google map api key -->
	<entry key="google.map.javascript.api.key">AIzaSyAiucWpcZ4_IPgz-bJiQ3Z0hGLOkEWGZZo</entry>
</properties>